<button mat-stroked-button class="iconButton" (click)="navigateToParent()">
	<mat-icon>arrow_back</mat-icon>{{ 'transl.simple.back' | translate }}
</button>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<lib-input-field [control]="form.controls.key" label="transl.simple.key" [required]="true" tabIndex="1"></lib-input-field>

	<mat-checkbox formControlName="global">{{ 'transl.simple.globalTranslation' | translate }}</mat-checkbox>

	<ng-container *ngIf="!this.form.value.global">
		<lib-input-field
			[control]="form.controls.projectName"
			label="transl.simple.projectName"
			[required]="true"
			tabIndex="1"
		></lib-input-field>
	</ng-container>
	<lib-single-select
		[control]="form.controls.type"
		[optionsSubject]="translationTypeSubject"
		[required]="true"
		label="transl.simple.type"
		translationPrefix="transl.translation.type."
		tabOrder="1"
	></lib-single-select>
	<ng-container *ngFor="let group of values.controls">
		<ng-container *ngIf="this.form.value.type === 'SINGLE'">
			<lib-input-field
				[control]="group.controls.value"
				[label]="'transl.languages.' + group.controls.language?.value"
				[required]="true"
				tabIndex="4"
			></lib-input-field>
		</ng-container>
		<ng-container *ngIf="this.form.value.type === 'TEXT'">
			<mat-form-field class="example-full-width">
				<mat-label>{{ 'transl.languages.' + group.controls.language?.value | translate }}</mat-label>
				<textarea matInput [formControl]="group.controls.value"></textarea>
			</mat-form-field>
		</ng-container>
		<ng-container *ngIf="this.form.value.type === 'MULTI'" [formGroup]="group">
			<h4>{{ 'transl.languages.' + group.controls.language?.value | translate }}</h4>
			<angular-editor formControlName="value"></angular-editor>
		</ng-container>
	</ng-container>
	<button class="fab" mat-fab color="accent" [tabindex]="4" [disabled]="loading || form.invalid">
		<mat-icon>save</mat-icon>
	</button>
</form>
